<?php
	require 'conexion.php';
	$consec = $_POST['consec'];
	$nombre = $_POST["nombre"];
	$fondo = $_POST["fondo"];
	$fecIni = $_POST["fecIni"];
	$fecFin = $_POST["fecFin"];
	$ciclo = $_POST["ciclo"];
	$dia = $_POST["dia"];
	$tipo = $_POST["tipo"];
	$user = $_POST["user"];
	$cargo = $_POST["cargo"];
	if ($cargo == "Cargo"){
    	$cant = -1 * $_POST["cant"];
	}
	else{
	    $cant = $_POST["cant"];
	}

	$fondoR = $_POST["fondoR"];
	$fecIni = $_POST["fecIni"];
	$fecFin = $_POST["fecFin"];
	$tipoR = $_POST["tipoR"];
	if ($consec == "-1"){
		mysqli_query($con, "INSERT INTO recurrentes (Nombre, Fondo, Cant, FecIni, FecFin, Ciclo, Dia, Tipo, User) VALUES ('$nombre', '$fondo', '$cant', '$fecha', '$meses', '$tipo', '$user')");
	}
	else{
		mysqli_query($con, "UPDATE movimientos SET Nombre='$nombre', Fondo='$fondo', Cant='$cant', FecIni='$fecIni', FecFin='$fecFin', Ciclo='$ciclo', Dia='$dia', Tipo='$tipo' WHERE Consec='$consec");
	}
	echo '
		<form action="recurrentes.php" method="POST" id="formita">
			<input type="hidden" name="fecIni" value="', $fecIni,'">
			<input type="hidden" name="fecFin" value="', $fecFin,'">
			<input type="hidden" name="fondo" value="', $fondoR,'">
			<input type="hidden" name="tipo" value="', $tipoR,'">
		</form>
		<script>document.getElementById("formita").submit()</script>
	';
?>

